task VCFinfo {
	File repeat_annotated_vcf
	String sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		python /opt/variants_quality_location_intergration.py -vcf ${repeat_annotated_vcf} -prefix ${sample}

		cat ${sample}_variant_quality_location.txt | grep '#CHROM' > header

		for i in chr1 chr2 chr3 chr4 chr5 chr6 chr7 chr8 chr9 chr10 chr11 chr12 chr13 chr14 chr15 chr16 chr17 chr18 chr19 chr20 chr21 chr22 chrX
		do
			cat ${sample}_variant_quality_location.txt | grep -w $i | cat header - > ${sample}.$i.vcfInfo.txt
		done


	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File extracted_info = "${sample}_variant_quality_location.txt"
		Array[File] chromo_vcfInfo = glob("*.vcfInfo.txt")
	}
}
