task bed_annotation {
	File merged_vcf_gz
	File merged_vcf_idx
	File repeat_bed
	String sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<

		rtg vcfannotate --bed-info=${repeat_bed} -i ${merged_vcf_gz} -o ${sample}.mendelian.merged.repeatAnno.vcf.gz

		gunzip ${sample}.mendelian.merged.repeatAnno.vcf.gz

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File repeat_annotated_vcf = "${sample}.mendelian.merged.repeatAnno.vcf"
	}
}