task mergeSister {
	File LCL5_trio_vcf_gz
	File LCL5_trio_vcf_idx
	File LCL6_trio_vcf_gz
	File LCL6_trio_vcf_idx
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg vcfmerge -o LCL5.LCL6.merged.vcf.gz ${LCL5_trio_vcf_gz} ${LCL6_trio_vcf_gz}

		rtg vcfmerge -o LCL6.LCL5.merged.vcf.gz ${LCL6_trio_vcf_gz} ${LCL5_trio_vcf_gz}

		zcat LCL5.LCL6.merged.vcf.gz | grep '##' > header
		zcat LCL5.LCL6.merged.vcf.gz | grep -v '##' | cut -f8 > LCL5.mendelian
		zcat LCL6.LCL5.merged.vcf.gz | grep -v '##' | paste - LCL5.mendelian > body

		cat header body > ${family_name}.trio.info.vcf
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File family_mendelian_info = "${family_name}.trio.info.vcf"
	}

}