task reformVCF {
	File family_mendelian_info
	File family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<

	python /opt/reformVCF.py -vcf ${family_mendelian_info} -name ${family_name}

	cat ${family_name}.LCL5.vcf | grep -v '##' | grep -v '0/0' | grep -v '\./\.' > ${family_name}.LCL5.txt
	cat ${family_name}.LCL6.vcf | grep -v '##' | grep -v '0/0' | grep -v '\./\.' > ${family_name}.LCL6.txt
	cat ${family_name}.LCL7.vcf | grep -v '##' | grep -v '0/0' | grep -v '\./\.' > ${family_name}.LCL7.txt
	cat ${family_name}.LCL8.vcf | grep -v '##' | grep -v '0/0' | grep -v '\./\.' > ${family_name}.LCL8.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File LCL5_family_info = "${family_name}.LCL5.vcf"
		File LCL6_family_info = "${family_name}.LCL6.vcf"
		File LCL7_family_info = "${family_name}.LCL7.vcf"
		File LCL8_family_info = "${family_name}.LCL8.vcf"
		File family_info = "${family_name}.vcf"
		File LCL5_family_info_txt = "${family_name}.LCL5.txt"
		File LCL6_family_info_txt = "${family_name}.LCL6.txt"
		File LCL7_family_info_txt = "${family_name}.LCL7.txt"
		File LCL8_family_info_txt = "${family_name}.LCL8.txt"
	}
}

