task sister {
	File LCL5_vcf
	File LCL6_vcf
	File LCL7_vcf
	File LCL8_vcf
	File ref_dir
	String LCL5_name
	String LCL6_name
	String LCL7_name
	String LCL8_name
	String fasta
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		export LD_LIBRARY_PATH=/opt/htslib-1.9
		nt=$(nproc)
		cat ${LCL6_vcf} | grep -v '##' | cut -f10 > D6
		cat ${LCL7_vcf} | grep -v '##' | cut -f10 > F7
		cat ${LCL8_vcf} | grep -v '##' | cut -f10 > M8
		cat ${LCL5_vcf} | grep -v '##' | paste - D6 F7 M8 > body
		cat ${LCL5_vcf} | grep '##' | cat - body > ${family_name}.vcf
	# prepare ped file, D5
		echo "${family_name}	${LCL8_name}	0	0	2	-9
		${family_name}	${LCL7_name}	0	0	1	-9
		${family_name}	${LCL5_name}	${LCL7_name}	${LCL8_name}	2	-9" > ${family_name}.D5.ped

		mkdir VBT_D5
		/opt/VBT-TrioAnalysis/vbt mendelian -ref ${ref_dir}/${fasta} -mother ${family_name}.vcf -father ${family_name}.vcf -child ${family_name}.vcf -pedigree ${family_name}.D5.ped -outDir VBT_D5 -out-prefix ${family_name}.D5 --output-violation-regions -thread-count $nt
	# prepare ped file, D6
		echo "${family_name}	${LCL8_name}	0	0	2	-9
		${family_name}	${LCL7_name}	0	0	1	-9
		${family_name}	${LCL6_name}	${LCL7_name}	${LCL8_name}	2	-9" > ${family_name}.D6.ped

		mkdir VBT_D6
		/opt/VBT-TrioAnalysis/vbt mendelian -ref ${ref_dir}/${fasta} -mother ${family_name}.vcf -father ${family_name}.vcf -child ${family_name}.vcf -pedigree ${family_name}.D6.ped -outDir VBT_D6 -out-prefix ${family_name}.D6 --output-violation-regions -thread-count $nt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		Array[File] D5_mendelian = glob("VBT_D5/*")
		Array[File] D6_mendelian = glob("VBT_D6/*")
		File family_vcf = "${family_name}.vcf"
	}
}