task two_family_merge {
	File LCL5_trio_vcf
	File LCL6_trio_vcf
	String family_name
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		cat ${LCL5_trio_vcf} | grep -v '##' > ${family_name}.LCL5.txt
		cat ${LCL6_trio_vcf} | grep -v '##' > ${family_name}.LCL6.txt
		python /opt/merge_two_family.py -LCL5 ${family_name}.LCL5.txt -LCL6 ${family_name}.LCL6.txt -family ${family_name}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File family_mendelian_info = "${family_name}.txt"
	}

}