task votes {
	Array[File] family_mendelian_info
	File vcf 
	String chromo
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		mkdir temp
		for i in ${sep=" " family_mendelian_info}
		do
			cp $i temp
		done

		cat ${vcf} | grep -v '##' > vcf_info.txt

		python /opt/voted_by_vcfinfo_mendelianinfo.py -folder ./temp -vcf vcf_info.txt

		cp LCL5_voted.vcf LCL5.${chromo}.voted.vcf
		cp LCL6_voted.vcf LCL6.${chromo}.voted.vcf
		cp LCL7_voted.vcf LCL7.${chromo}.voted.vcf
		cp LCL8_voted.vcf LCL8.${chromo}.voted.vcf

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File LCL5_voted_vcf = "LCL5.${chromo}.voted.vcf"
		File LCL6_voted_vcf = "LCL6.${chromo}.voted.vcf"
		File LCL7_voted_vcf = "LCL7.${chromo}.voted.vcf"
		File LCL8_voted_vcf = "LCL8.${chromo}.voted.vcf"
		File all_sample_info = "all_sample_information.txt"
	}
}

