task zipIndex {
	File vcf
	String vcf_name = basename(vcf,".vcf")
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg bgzip ${vcf} -c > ${vcf_name}.vcf.gz
		rtg index -f vcf ${vcf_name}.vcf.gz

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf_gz = "${vcf_name}.vcf.gz"
		File vcf_idx = "${vcf_name}.vcf.gz.tbi"
	}
}